> For the complete documentation index, see [llms.txt](https://docs.kpnthings.com/kpn-things/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.kpnthings.com/kpn-things/building-blocks/devices/trackers/kpn-locationtag-ii.md).

# KPN LocationTag II

![KPN LocationTag II](https://portal.kpnthings.com/assets/images/device-types/kpn-locationtag-ii.png)

Also known as Security Tag.

* Supported network type(s): `KPNLORA`
* Device Specification ID: `kpn-locationtag-ii`
* Device Specification UUID: `2f16485d-1301-4d11-9fb8-1b74b5a8909f`

| Decoders                                               | decoderSpecificationUUID               | Description                                                                                        |
| ------------------------------------------------------ | -------------------------------------- | -------------------------------------------------------------------------------------------------- |
| › Decoded payload for Device Management (v2)           | `c0d1ea0f-2470-5f88-897c-c1ec25f360d6` | Decoder for Streamline LoRa short payloads, containing firmware version, mode, and battery status. |
| › Decoded payload for Medical Tracker application (v2) | `6a7a4ef4-e7a3-5eab-90ba-6901cf360d08` | Decoder for Streamline LoRa message type 0xD282 containing only temperature and movement bit.      |

| Encoders                                              | encoderSpecificationUUID               | Description                                                                                                                      |
| ----------------------------------------------------- | -------------------------------------- | -------------------------------------------------------------------------------------------------------------------------------- |
| ‹ Encoded device modes for Asset Recovery application | `9e2a47a3-a239-4f1f-b14b-f16fa70fe99d` | Send device modes for Asset Recovery: Presales (24h interval), Active (2h interval), Missing (5min interval + BLE), or Inactive. |

### › Decoded payload for Device Management (v2)

Decoder for Streamline LoRa short payloads, containing firmware version, mode, and battery status.

{% hint style="info" %}
This decoder also decodes [Geolocation and Local Gateway](/kpn-things/getting-started/tutorials/technical-overview/location-data.md) data.
{% endhint %}

The following SenML records can be present, amongst others:

<table><thead><tr><th width="174">name</th><th width="98">type</th><th width="59">unit</th><th width="125">example</th><th>description</th></tr></thead><tbody><tr><td>batteryLevelLow</td><td>boolean</td><td></td><td><code>false</code></td><td>Indicates if the battery voltage has been below the threshold</td></tr><tr><td>batteryVoltage</td><td>number</td><td>V</td><td></td><td></td></tr><tr><td>firmwareCRC</td><td>string</td><td></td><td></td><td>Firmware info, only sent after device boot</td></tr><tr><td>firmwareVersion</td><td>string</td><td></td><td></td><td>Firmware info, only sent after device boot</td></tr><tr><td>mode</td><td>string</td><td></td><td><code>"active"</code></td><td>Operation modus. Either <code>"production"</code>, <code>"active"</code>, <code>"presales"</code> or <code>"missing"</code>)</td></tr><tr><td>settingsCRC</td><td>string</td><td></td><td></td><td>Settings info, only sent after device boot</td></tr></tbody></table>

#### Example SenML

{% hint style="info" %}
SenML can be structured in different ways, and we do not guarantee the examples below will look the same as what you will receive on your Destination. To make sure you can handle the SenML optimally, take a look at our documentation about [Understanding and Interpreting SenML Data](/kpn-things/building-blocks/data-processing/thingsml-and-senml/senml/understanding-and-interpreting-senml-data.md).
{% endhint %}

```json
[
    {
        "bn": "urn:dev:DEVEUI:0123456789012345:",
        "bt": 1693136532.83,
        "n": "mode",
        "vs": "active"
    },
    {
        "n": "batteryLevelLow",
        "vb": false
    },
    {
        "n": "batteryVoltage",
        "u": "V",
        "v": 3.59
    },
    {
        "n": "firmwareVersion",
        "vs": "0443"
    },
    {
        "n": "firmwareCRC",
        "vs": "397F"
    },
    {
        "n": "settingsCRC",
        "vs": "A3E5"
    },
    {
        "n": "timeOrigin",
        "vs": "NETWORK"
    }
]
```

### › Decoded payload for Medical Tracker application (v2)

Decoder for Streamline LoRa message type 0xD282 containing only temperature and movement bit.

{% hint style="info" %}
This decoder also decodes [Geolocation and Local Gateway](/kpn-things/getting-started/tutorials/technical-overview/location-data.md) data.
{% endhint %}

The following SenML records can be present, amongst others:

| name                              | type    | unit | example  | description |
| --------------------------------- | ------- | ---- | -------- | ----------- |
| hasMovedSincePreviousTransmission | boolean |      | `true`   |             |
| temperature                       | number  | Cel  | `18.875` |             |

#### Example SenML

{% hint style="info" %}
SenML can be structured in different ways, and we do not guarantee the examples below will look the same as what you will receive on your Destination. To make sure you can handle the SenML optimally, take a look at our documentation about [Understanding and Interpreting SenML Data](/kpn-things/building-blocks/data-processing/thingsml-and-senml/senml/understanding-and-interpreting-senml-data.md).
{% endhint %}

```json
[
    {
        "bn": "urn:dev:DEVEUI:0123456789012345:",
        "bt": 1633896968.04,
        "n": "temperature",
        "u": "Cel",
        "v": 18.875
    },
    {
        "n": "hasMovedSincePreviousTransmission",
        "vb": true
    },
    {
        "n": "timeOrigin",
        "vs": "NETWORK"
    }
]
```

### ‹ Encoded device modes for Asset Recovery application

* Protocol: LoRa downlink
* Description: Send device modes for Asset Recovery: Presales (24h interval), Active (2h interval), Missing (5min interval + BLE), or Inactive.
* Multiple commands in one downlink: No

Input mapping:

* Name: `mode`
  * Value: `Presales` (translates into → `150098078051010080510115013F01001501FB018016`)
  * Value: `Active` (translates into → `15009807201C0000201C0015013F01001501FB014016`)
  * Value: `Missing` (translates into → `15009807F0000000F0000015013907000000000000001501FB01C1150402010115040E010015042C02050516`)
  * Value: `Inactive` (translates into → `14009808FFFFFFFFFFFFFFFF110000000001000000`)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.kpnthings.com/kpn-things/building-blocks/devices/trackers/kpn-locationtag-ii.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
